aboutsummaryrefslogtreecommitdiffhomepage
path: root/third_party/protobuf/3.2.0/php/tests/test.sh
diff options
context:
space:
mode:
authorGravatar Jakob Buchgraber <buchgr@google.com>2017-04-26 15:37:42 +0200
committerGravatar Jakob Buchgraber <buchgr@google.com>2017-05-02 09:51:34 +0200
commit2b49f678a7dfaf27afc0e44ed7a65b00ec06d413 (patch)
treec1c46d0f1f66859ff42fd41f0aefb6436c9f4507 /third_party/protobuf/3.2.0/php/tests/test.sh
parentb712f335a945c81a6b77fd48e96103ff09c8967b (diff)
Update third_party/protobuf to pre-release 3.2.0
Update protobuf to @laszlocsomor's fork of protobuf. This is essentially the development version of protobuf 3.2.0 and windows specific fixes from laszlo. Those fixes will be merged into protobuf soon: https://github.com/google/protobuf/pull/2969. Change-Id: Id88cd7e5b2c27ab74f3ecfa1e127e5a863f2deb3
Diffstat (limited to 'third_party/protobuf/3.2.0/php/tests/test.sh')
-rwxr-xr-xthird_party/protobuf/3.2.0/php/tests/test.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/third_party/protobuf/3.2.0/php/tests/test.sh b/third_party/protobuf/3.2.0/php/tests/test.sh
new file mode 100755
index 0000000000..fc3f018650
--- /dev/null
+++ b/third_party/protobuf/3.2.0/php/tests/test.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# Compile c extension
+pushd ../ext/google/protobuf/
+make clean
+set -e
+# Add following in configure for debug: --enable-debug CFLAGS='-g -O0'
+phpize && ./configure --enable-debug CFLAGS='-g -O0' && make
+popd
+
+tests=( array_test.php encode_decode_test.php generated_class_test.php map_field_test.php well_known_test.php )
+
+for t in "${tests[@]}"
+do
+ echo "****************************"
+ echo "* $t"
+ echo "****************************"
+ php -dextension=../ext/google/protobuf/modules/protobuf.so `which phpunit` --bootstrap autoload.php $t
+ echo ""
+done
+
+# # Make sure to run the memory test in debug mode.
+# php -dextension=../ext/google/protobuf/modules/protobuf.so memory_leak_test.php
+
+export ZEND_DONT_UNLOAD_MODULES=1
+export USE_ZEND_ALLOC=0
+valgrind --leak-check=yes php -dextension=../ext/google/protobuf/modules/protobuf.so memory_leak_test.php